## org.eclipse.emf.ecore.resource.impl
Enum BinaryResourceImpl.BinaryIO.FeatureKind

    java.lang.Object
      java.lang.Enum<BinaryResourceImpl.BinaryIO.FeatureKind>
          org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.BinaryIO.FeatureKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BinaryResourceImpl.BinaryIO.FeatureKind>

Enclosing class:
  BinaryResourceImpl.BinaryIO

    protected static enum BinaryResourceImpl.BinaryIO.FeatureKind

extends java.lang.Enum<BinaryResourceImpl.BinaryIO.FeatureKind>

Enum Constant Summary
`BOOLEAN`
`BYTE`
`CHAR`
`DATA`
`DATA_LIST`
`DOUBLE`
`EOBJECT`
`EOBJECT_CONTAINER`
`EOBJECT_CONTAINER_PROXY_RESOLVING`
`EOBJECT_CONTAINMENT`
`EOBJECT_CONTAINMENT_LIST`
`EOBJECT_CONTAINMENT_LIST_PROXY_RESOLVING`
`EOBJECT_CONTAINMENT_PROXY_RESOLVING`
`EOBJECT_LIST`
`EOBJECT_LIST_PROXY_RESOLVING`
`EOBJECT_PROXY_RESOLVING`
`FEATURE_MAP`
`FLOAT`
`INT`
`LONG`
`SHORT`
`STRING`

Method Summary
`static BinaryResourceImpl.BinaryIO.FeatureKind` `get(EStructuralFeature eStructuralFeature)`
`static BinaryResourceImpl.BinaryIO.FeatureKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BinaryResourceImpl.BinaryIO.FeatureKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EOBJECT_CONTAINER

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINER

### EOBJECT_CONTAINER_PROXY_RESOLVING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINER_PROXY_RESOLVING

### EOBJECT

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT

### EOBJECT_PROXY_RESOLVING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_PROXY_RESOLVING

### EOBJECT_LIST

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_LIST

### EOBJECT_LIST_PROXY_RESOLVING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_LIST_PROXY_RESOLVING

### EOBJECT_CONTAINMENT

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINMENT

### EOBJECT_CONTAINMENT_PROXY_RESOLVING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINMENT_PROXY_RESOLVING

### EOBJECT_CONTAINMENT_LIST

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINMENT_LIST

### EOBJECT_CONTAINMENT_LIST_PROXY_RESOLVING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind EOBJECT_CONTAINMENT_LIST_PROXY_RESOLVING

### BOOLEAN

    public static final BinaryResourceImpl.BinaryIO.FeatureKind BOOLEAN

### BYTE

    public static final BinaryResourceImpl.BinaryIO.FeatureKind BYTE

### CHAR

    public static final BinaryResourceImpl.BinaryIO.FeatureKind CHAR

### DOUBLE

    public static final BinaryResourceImpl.BinaryIO.FeatureKind DOUBLE

### FLOAT

    public static final BinaryResourceImpl.BinaryIO.FeatureKind FLOAT

### INT

    public static final BinaryResourceImpl.BinaryIO.FeatureKind INT

### LONG

    public static final BinaryResourceImpl.BinaryIO.FeatureKind LONG

### SHORT

    public static final BinaryResourceImpl.BinaryIO.FeatureKind SHORT

### STRING

    public static final BinaryResourceImpl.BinaryIO.FeatureKind STRING

### DATA

    public static final BinaryResourceImpl.BinaryIO.FeatureKind DATA

### DATA_LIST

    public static final BinaryResourceImpl.BinaryIO.FeatureKind DATA_LIST

### FEATURE_MAP

    public static final BinaryResourceImpl.BinaryIO.FeatureKind FEATURE_MAP

Method Detail

### values

    public static final BinaryResourceImpl.BinaryIO.FeatureKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BinaryResourceImpl.BinaryIO.FeatureKind c : BinaryResourceImpl.BinaryIO.FeatureKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BinaryResourceImpl.BinaryIO.FeatureKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static BinaryResourceImpl.BinaryIO.FeatureKind get(EStructuralFeature eStructuralFeature)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.